playerc_audio_t Struct Reference
audio

Audio device data. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
player_audio_mixer_channel_list_detail_t | channel_details_list
| Details of the channels from the mixer. More...
player_audio_wav_t | wav_data
| last block of recorded data
player_audio_seq_t | seq_data
| last block of seq data
player_audio_mixer_channel_list_t | mixer_data
| current channel data
uint32_t | state
| current driver state
int | last_index

## Detailed Description

Audio device data.

## Member Data Documentation

player_audio_mixer_channel_list_detail_t playerc_audio_t::channel_details_list

Details of the channels from the mixer.

playerc_device_t playerc_audio_t::info

Device info; must be at the start of all device structures.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45